%%
close all
clear all
clc
n = -2:1:20;
a=0.8;
nu=1/8;

zero_value = 1;
xn = (a.^n) .* e.^(1i*2*pi*nu*n) .* heaviside(n, zero_value);;

figure
stem(n,real(xn),'b','filled');
xlabel('n'); ylabel('x(n)');
title('Real Part');

figure
stem(n,imag(xn),'b','filled');
title('Imaginary Part');


