clear, clc, close all
fc=8000;
f0=1500;
nu0=f0/fc;
rho=0.95;
A=[1 -2*rho*cos(2*pi*nu0) rho^2];
B=[0 0 1];
[H W] = freqz(B,A,200);
[h t] = impz(B,A,200);

figure
subplot(2,2,1)
plot(W/(2*pi), abs(H))
subplot(2,2,2)
zplane(B,A)
subplot(2,2,3)
plot(W/(2*pi), angle (H))
subplot(2,2,4)
stem(t,h)
