%Mostrare la DTFT utilizzando l'espressione analitica
nu=linspace(-0.5,0.5,200);
mod=abs((cos(2*pi*nu)+2*cos(4*pi*nu)).^2 + (sin(2*pi*nu)+2*sin(4*pi*nu)).^2);
ph=atan2(-sin(2*pi*nu)-2*sin(4*pi*nu), cos(2*pi*nu)+2*cos(4*pi*nu));

figure
subplot(2,1,1)
plot(nu,mod)
xlabel('nu');
ylabel('|X(\nu)|');
title('Plot');
grid on

subplot(2,1,2)
plot(nu,ph)
xlabel('nu');
ylabel('Phase X(\nu)');
title('Plot');
grid on

