clear
close all
clc
% Soldi in banca
n = 0:1:100

n_esempio = 2

if (n_esempio==1)
  %impulso
  xn = zeros(length(n),1);
  xn(2)=1;

  figure
  stem(n,xn,'b','filled');
  xlabel('n'); ylabel('x(n)');
  title('xn');
elseif (n_esempio==2)
  %segnale di ingresso che rappresenta un guadagno ogni 7 giorni
  xn = zeros(length(n),1);
  for in=1:length(xn)
    if (mod(in,7)==0)
      xn(in)=1;
    end
  end
  figure
  stem(n,xn,'b','filled');
  xlabel('n'); ylabel('x(n)');
  title('xn');
end

%quello che rimane dopo l'applicazione della tassa
a=1.0 - 1./10

yn = zeros(length(n),1);
yn(1)=0;
for i=2:length(n)
  yn(i)=a.*yn(i-1)+xn(i);
end

figure
stem(n,yn,'b','filled');
xlabel('n'); ylabel('y(n)');
title('yn');
